// -----------------------------------------------------------------------------
// This file contains styles that are specific to the home page.
// -----------------------------------------------------------------------------
// Hero

main {
  overflow: hidden;
}

.contribute-lomiri {
  margin-bottom: 100px;
}

.home-hero {
  padding: 90px 0 150px;

  @media (max-height: 592.98px) {
    padding: 120px 0;
  }

  .container {
    display: flex;
    align-items: center;
    height: calc(103vh - 300px);

    @media (min-width: 1300px) {
      max-width: $container-large;
    }
  }

  &__text {
    flex: 0 0 40%;
    padding-right: 25px;
    margin-left: auto;

    @media (max-width: 1199.98px) {
      flex: 0 0 65%;
    }

    @media (max-width: 991.98px) {
      flex: 0 0 100%;
      padding-left: 91px;
    }

    @media (max-width: 749.98px) {
      padding-left: 66.6px;
      padding-right: 0;
    }

    h1 {
      line-height: 1.1;
      margin-bottom: 15px;

      @media (min-width: 1300px) {
        font-size: 3.2em;
      }
    }
  }

  &__img {
    position: absolute;
    top: 60px;
    left: 0;
    display: block;
    height: calc(103vh - 60px);
    width: 100vw;
    z-index: -1;
    mask: linear-gradient(
        180deg,
        rgb(0, 0, 0) 0%,
        rgb(0, 0, 0) 97%,
        rgba(0, 0, 0, 0) 100%
      )
      50% / 100% 100% repeat-x;
    mask-image: linear-gradient(
      180deg,
      rgb(0, 0, 0) 0%,
      rgb(0, 0, 0) 97%,
      rgba(0, 0, 0, 0) 100%
    );
    /* stylelint-disable-next-line property-no-vendor-prefix */
    -webkit-mask-image: linear-gradient(
      180deg,
      rgb(0, 0, 0) 0%,
      rgb(0, 0, 0) 97%,
      rgba(0, 0, 0, 0) 100%
    );

    .bg-img > img {
      object-fit: cover;
      object-position: center;
      max-height: 100%;
      max-width: 100%;
      width: 100vw;
      height: 100vh;
    }

    .launcher-img {
      position: absolute;
      top: 0;
      left: 0;
      width: 66.6px;
      height: 103vh;
      background-color: #1d191c;

      img {
        object-fit: cover;
        object-position: top;
        height: unset;

        @media (max-height: 457.98px) {
          height: 280px;
        }

        @media (max-height: 357.98px) {
          height: 170px;
        }
      }
    }
  }
}
